import { EventEmitter } from '@angular/core';
import { Tag } from '../../../models/Tag';
import { NodePreconditionService, PreconditionData } from '../services/node-precondition.service';
import * as i0 from "@angular/core";
export declare class NodeSelectorComponent {
    protected selectedTags: Tag[];
    protected selectedFormId: string;
    protected selectedWorkflowId: string;
    protected condition: string;
    protected preconditionService: NodePreconditionService;
    select: EventEmitter<PreconditionData>;
    protected onTagSelectionChange(event: any): void;
    protected onDropdownChange(event: any): void;
    protected onFormSubmit(): void;
    protected onWorkflowSubmit(): void;
    protected getDialogTitle(): string;
    protected onTagsSubmit(): void;
    protected onConditionSubmit(): void;
    protected onSelect(data: PreconditionData): void;
    onModalClose(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NodeSelectorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NodeSelectorComponent, "wf-node-selector", never, {}, { "select": "select"; }, never, never, true, never>;
}
